Search for url

  1. Search 7.x for url
  2. Search 9.5.x for url
  3. Search 8.9.x for url
  4. Search 10.3.x for url
  5. Other projects

Exact matches

These are exact matches according to your search
Title Object type File name Summary
Url class core/modules/views/src/Plugin/views/field/Url.php Field handler to provide a renderer that turns a URL into a clickable link.
Url class core/lib/Drupal/Core/Render/Element/Url.php Provides a form element for input of a URL.
Url class core/lib/Drupal/Core/Url.php Defines an object that holds information about a URL.

All search results

Title Object type File name Summary
RedirectResponseSubscriberTest::$urlAssembler property core/tests/Drupal/Tests/Core/EventSubscriber/RedirectResponseSubscriberTest.php The mocked request context.
RedirectResponseSubscriberTest::providerTestDestinationRedirectToExternalUrl function core/tests/Drupal/Tests/Core/EventSubscriber/RedirectResponseSubscriberTest.php Data provider for testDestinationRedirectToExternalUrl().
RedirectResponseSubscriberTest::providerTestDestinationRedirectWithInvalidUrl function core/tests/Drupal/Tests/Core/EventSubscriber/RedirectResponseSubscriberTest.php Data provider for testDestinationRedirectWithInvalidUrl().
RedirectResponseSubscriberTest::testDestinationRedirectToExternalUrl function core/tests/Drupal/Tests/Core/EventSubscriber/RedirectResponseSubscriberTest.php Tests destination redirect to external url.
RedirectResponseSubscriberTest::testDestinationRedirectWithInvalidUrl function core/tests/Drupal/Tests/Core/EventSubscriber/RedirectResponseSubscriberTest.php Tests destination redirect with invalid url.
RedirectResponseSubscriberTest::testRedirectWithOptInExternalUrl function core/tests/Drupal/Tests/Core/EventSubscriber/RedirectResponseSubscriberTest.php Tests redirect with opt in external url.
ReindexConfirm::getCancelUrl function core/modules/search/src/Form/ReindexConfirm.php Returns the route to go to if the user cancels the action.
RequestContext::$completeBaseUrl property core/lib/Drupal/Core/Routing/RequestContext.php The scheme, host and base path, for example "https://example.com/d8".
RequestContext::getCompleteBaseUrl function core/lib/Drupal/Core/Routing/RequestContext.php Gets the scheme, host and base path.
RequestContext::setCompleteBaseUrl function core/lib/Drupal/Core/Routing/RequestContext.php Sets the complete base URL for the Request context.
RequestHelper::isCleanUrl function core/lib/Drupal/Core/Routing/RequestHelper.php Returns whether the request is using a clean URL.
Resource::$authorUrl property core/modules/media/src/OEmbed/Resource.php A URL for the author/owner of the resource.
Resource::$thumbnailUrl property core/modules/media/src/OEmbed/Resource.php A URL to a thumbnail image representing the resource.
Resource::$url property core/modules/media/src/OEmbed/Resource.php The resource URL. Only applies to 'photo' and 'link' resources.
Resource::getAuthorUrl function core/modules/media/src/OEmbed/Resource.php Returns the URL of the resource author.
Resource::getThumbnailUrl function core/modules/media/src/OEmbed/Resource.php Returns the URL of the resource's thumbnail image.
Resource::getUrl function core/modules/media/src/OEmbed/Resource.php Returns the URL of the resource. Only applies to 'photo' resources.
ResourceController::setResourceUrl function core/modules/media/tests/modules/media_test_oembed/src/Controller/ResourceController.php Maps an asset URL to a local fixture representing its oEmbed resource.
ResourceException::$url property core/modules/media/src/OEmbed/ResourceException.php The URL of the resource.
ResourceException::getUrl function core/modules/media/src/OEmbed/ResourceException.php Gets the URL of the resource which caused the exception.
ResourceObject::toUrl function core/modules/jsonapi/src/JsonApiResource/ResourceObject.php Gets a Url for the ResourceObject.
response_filter.rss.relative_url service core/core.services.yml Drupal\Core\EventSubscriber\RssResponseRelativeUrlFilter
ResponsiveImageBuilder::getImageStyleUrl function core/modules/responsive_image/src/ResponsiveImageBuilder.php Returns the given image style URL.
ResponsiveImageFieldDisplayTest::$fileUrlGenerator property core/modules/responsive_image/tests/src/Functional/ResponsiveImageFieldDisplayTest.php The file URL generator.
ResponsiveImageFormatter::$fileUrlGenerator property core/modules/responsive_image/src/Plugin/Field/FieldFormatter/ResponsiveImageFormatter.php The file url generator.
ResponsiveImageFormatterTest::testImageFormatterUrlOptions function core/modules/responsive_image/tests/src/Kernel/ResponsiveImageFormatterTest.php Tests Image Formatter URL options handling.
RestLoginHttpTest::getLoginStatusUrlString function core/modules/rest/tests/src/Functional/RestLoginHttpTest.php Gets the URL string for checking login for a given serialization format.
RevertOverridesForm::getCancelUrl function core/modules/layout_builder/src/Form/RevertOverridesForm.php Returns the route to go to if the user cancels the action.
RevisionDeleteForm::getCancelUrl function core/lib/Drupal/Core/Entity/Form/RevisionDeleteForm.php Returns the route to go to if the user cancels the action.
RevisionLink::getUrlInfo function core/modules/node/src/Plugin/views/field/RevisionLink.php Returns the URI elements of the link.
RevisionLinkDelete::getUrlInfo function core/modules/node/src/Plugin/views/field/RevisionLinkDelete.php Returns the URI elements of the link.
RevisionLinkRevert::getUrlInfo function core/modules/node/src/Plugin/views/field/RevisionLinkRevert.php Returns the URI elements of the link.
RevisionRevertForm::getCancelUrl function core/lib/Drupal/Core/Entity/Form/RevisionRevertForm.php Returns the route to go to if the user cancels the action.
RouteNoneTest::$urlGenerator property core/tests/Drupal/KernelTests/Core/RouteProcessor/RouteNoneTest.php The URL generator.
RouteProcessorCurrentIntegrationTest::$urlGenerator property core/tests/Drupal/KernelTests/Core/RouteProcessor/RouteProcessorCurrentIntegrationTest.php The URL generator.
RouterTest::testUrlGeneratorFront function core/modules/system/tests/src/Functional/Routing/RouterTest.php Checks the generate method on the URL generator using the front router.
RssFields::getAbsoluteUrl function core/modules/views/src/Plugin/views/row/RssFields.php Convert a rendered URL string to an absolute URL.
RssResponseRelativeUrlFilter class core/lib/Drupal/Core/EventSubscriber/RssResponseRelativeUrlFilter.php Subscribes to filter RSS responses, to make relative URIs absolute.
RssResponseRelativeUrlFilter.php file core/lib/Drupal/Core/EventSubscriber/RssResponseRelativeUrlFilter.php
RssResponseRelativeUrlFilter::getSubscribedEvents function core/lib/Drupal/Core/EventSubscriber/RssResponseRelativeUrlFilter.php
RssResponseRelativeUrlFilter::onResponse function core/lib/Drupal/Core/EventSubscriber/RssResponseRelativeUrlFilter.php Converts relative URLs to absolute URLs.
RssResponseRelativeUrlFilter::transformRootRelativeUrlsToAbsolute function core/lib/Drupal/Core/EventSubscriber/RssResponseRelativeUrlFilter.php Converts all root-relative URLs to absolute URLs in RSS markup.
RssResponseRelativeUrlFilterTest class core/tests/Drupal/Tests/Core/EventSubscriber/RssResponseRelativeUrlFilterTest.php Tests Drupal\Core\EventSubscriber\RssResponseRelativeUrlFilter.
RssResponseRelativeUrlFilterTest.php file core/tests/Drupal/Tests/Core/EventSubscriber/RssResponseRelativeUrlFilterTest.php
RssResponseRelativeUrlFilterTest::providerTestOnResponse function core/tests/Drupal/Tests/Core/EventSubscriber/RssResponseRelativeUrlFilterTest.php
RssResponseRelativeUrlFilterTest::testOnResponse function core/tests/Drupal/Tests/Core/EventSubscriber/RssResponseRelativeUrlFilterTest.php Tests on response.
SearchInterface::buildSearchUrlQuery function core/modules/search/src/Plugin/SearchInterface.php Builds the URL GET query parameters array for search.
SearchPluginBase::buildSearchUrlQuery function core/modules/search/src/Plugin/SearchPluginBase.php Builds the URL GET query parameters array for search.
SectionStorageInterface::getLayoutBuilderUrl function core/modules/layout_builder/src/SectionStorageInterface.php Gets the URL used to display the Layout Builder UI.
SectionStorageInterface::getRedirectUrl function core/modules/layout_builder/src/SectionStorageInterface.php Gets the URL used when redirecting away from the Layout Builder UI.

Buggy or inaccurate documentation? Please file an issue. Need support? Need help programming? Connect with the Drupal community.